Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classdisplay.dl
Class DLSyntaxClassDisplay

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.classdisplay.dl.DLSyntaxClassDisplay

All Implemented Interfaces:
  OWLClassDisplay

    public class DLSyntaxClassDisplay

extends Object
implements OWLClassDisplay

Author: Matthew Horridge
The University Of Manchester
Medical Informatics Group
Date: Jan 25, 2006

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`DLSyntaxClassDisplay()`

Method Summary
`String` | `getDisplayText(RDFSClass cls)` Gets the display text for a given class expression.
`String` | `getOWLAllValuesFromSymbol()` Gets the keyword used for owl:allValuesFrom restrictions in this rendering.
`String` | `getOWLCardinalitySymbol()`
`String` | `getOWLComplementOfSymbol()`
`String` | `getOWLHasValueSymbol()`
`String` | `getOWLIntersectionOfSymbol()`
`String` | `getOWLMaxCardinalitySymbol()`
`String` | `getOWLMinCardinalitySymbol()`
`String` | `getOWLSomeValuesFromSymbol()`
`String` | `getOWLUnionOfSymbol()`
`OWLClassParser` | `getParser()` Gets the associated parser that allows users to enter class expressions in the defined rendering.
`String` | `getSymbol(OWLAnonymousClass cls)` Gets the keyword for a class of a given type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLSyntaxClassDisplay

    public DLSyntaxClassDisplay()

Method Detail

### getDisplayText

    public String getDisplayText(RDFSClass cls)

  Description copied from interface: `OWLClassDisplay`
  Gets the display text for a given class expression. This will be used in the `getBrowserText()` call of the class.

  Specified by:
    `getDisplayText` in interface `OWLClassDisplay`
  Parameters:
    `cls` - the class to get the text for
  Returns:
    the display text (not null)

### getSymbol

    public String getSymbol(OWLAnonymousClass cls)

  Description copied from interface: `OWLClassDisplay`
  Gets the keyword for a class of a given type. Depending on the provided argument this should fork into the corresponding helper methods such as `getOWLHasValueSymbol()` if the argument is an OWLHasValue restriction.

  Specified by:
    `getSymbol` in interface `OWLClassDisplay`
  Parameters:
    `cls` - the class to get the key for
  Returns:
    the key (undefined for OWLEnumeratedClasses)

### getOWLAllValuesFromSymbol

    public String getOWLAllValuesFromSymbol()

  Description copied from interface: `OWLClassDisplay`
  Gets the keyword used for owl:allValuesFrom restrictions in this rendering. Examples are the reverse A or "only".

  Specified by:
    `getOWLAllValuesFromSymbol` in interface `OWLClassDisplay`
  Returns:
    the key for owl:allValuesFrom

### getOWLCardinalitySymbol

    public String getOWLCardinalitySymbol()

  Specified by:
    `getOWLCardinalitySymbol` in interface `OWLClassDisplay`

### getOWLComplementOfSymbol

    public String getOWLComplementOfSymbol()

  Specified by:
    `getOWLComplementOfSymbol` in interface `OWLClassDisplay`

### getOWLHasValueSymbol

    public String getOWLHasValueSymbol()

  Specified by:
    `getOWLHasValueSymbol` in interface `OWLClassDisplay`

### getOWLIntersectionOfSymbol

    public String getOWLIntersectionOfSymbol()

  Specified by:
    `getOWLIntersectionOfSymbol` in interface `OWLClassDisplay`

### getOWLMaxCardinalitySymbol

    public String getOWLMaxCardinalitySymbol()

  Specified by:
    `getOWLMaxCardinalitySymbol` in interface `OWLClassDisplay`

### getOWLMinCardinalitySymbol

    public String getOWLMinCardinalitySymbol()

  Specified by:
    `getOWLMinCardinalitySymbol` in interface `OWLClassDisplay`

### getOWLSomeValuesFromSymbol

    public String getOWLSomeValuesFromSymbol()

  Specified by:
    `getOWLSomeValuesFromSymbol` in interface `OWLClassDisplay`

### getOWLUnionOfSymbol

    public String getOWLUnionOfSymbol()

  Specified by:
    `getOWLUnionOfSymbol` in interface `OWLClassDisplay`

### getParser

    public OWLClassParser getParser()

  Description copied from interface: `OWLClassDisplay`
  Gets the associated parser that allows users to enter class expressions in the defined rendering.

  Specified by:
    `getParser` in interface `OWLClassDisplay`
  Returns:
    the OWLClassParser

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.